summaryrefslogtreecommitdiffstats
path: root/games/micropolis/micropolis.SlackBuild
diff options
context:
space:
mode:
author Chess Griffin <chess@chessgriffin.com>2010-05-11 20:00:33 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:00:33 +0200
commit1b07083540072b18682533b52d63c71412ba3698 (patch)
treef67b4ecaccbfdf7388a4a9094cdccbadbbea1f13 /games/micropolis/micropolis.SlackBuild
parent2a5294512c755a3e32f0f25d323b316ea0d459c9 (diff)
downloadslackbuilds-1b07083540072b18682533b52d63c71412ba3698.tar.gz
slackbuilds-1b07083540072b18682533b52d63c71412ba3698.tar.xz
games/micropolis: Added to 12.0 repository
Diffstat (limited to 'games/micropolis/micropolis.SlackBuild')
-rw-r--r--games/micropolis/micropolis.SlackBuild65
1 files changed, 65 insertions, 0 deletions
diff --git a/games/micropolis/micropolis.SlackBuild b/games/micropolis/micropolis.SlackBuild
new file mode 100644
index 0000000000..a03f9c2955
--- /dev/null
+++ b/games/micropolis/micropolis.SlackBuild
@@ -0,0 +1,65 @@
+#!/bin/sh
+
+# Slackware build script for Micropolis
+
+# Written by Chess Griffin <chess@chessgriffin.com>
+
+PRGNAM=micropolis
+VERSION=20080222
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="COPYING README"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# comment out the next line to disable the airplane crash disaster
+sed -i -e 's/-DNO_AIRCRASH//' src/sim/makefile
+
+# I don't see an easy way to use custom CFLAGS without extensive patching,
+# so we won't. If someone wants to spend some time on a patch for this to
+# send upstream, feel free. It shouldn't be too difficult, but I've got
+# too many other priorities right now. --rworkman
+make PREFIX=/usr DOCDIR=/usr/doc/$PRGNAM-$VERSION
+make install PREFIX=/usr DOCDIR=/usr/doc/$PRGNAM-$VERSION DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || exit 1
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz